Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp
Class AbstractDriver

    java.lang.Object
      org.linuxsampler.lscp.AbstractDriver

All Implemented Interfaces:
  Driver, Parseable

Direct Known Subclasses:
  AudioOutputDriver, MidiInputDriver

    public abstract class AbstractDriver

extends java.lang.Object
implements Driver, Parseable

This class provides default implementation of the `Driver` interface.

Constructor Summary
`AbstractDriver()` Creates a new instance of `AbstractDriver`

Method Summary
`void` | `addParameter(Parameter prm)` Adds driver parameter.
`java.lang.String` | `getDescription()` Gets a description about this driver.
`java.lang.String` | `getName()` Gets the name of this driver.
`java.lang.String[]` | `getParameterNames()` Gets the names of all parameters available for this driver.
`Parameter[]` | `getParameters()` Gets all parameters available for this driver.
`java.lang.String` | `getVersion()` Gets the version of this driver.
`boolean` | `parse(java.lang.String s)` Parses a line of text.
`void` | `setName(java.lang.String name)` Sets the name of this driver.
`java.lang.String` | `toString()` Returns the name of this driver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractDriver

    public AbstractDriver()

  Creates a new instance of `AbstractDriver`

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of this driver.

  Specified by:
    `getName` in interface `Driver`
  Returns:
    The name of this driver.

### setName

    public void setName(java.lang.String name)

  Sets the name of this driver.

  Parameters:
    `name` - A `String` object containing the new name for this driver.

### getDescription

    public java.lang.String getDescription()

  Gets a description about this driver.

  Specified by:
    `getDescription` in interface `Driver`
  Returns:
    A description about this driver.

### getVersion

    public java.lang.String getVersion()

  Gets the version of this driver.

  Specified by:
    `getVersion` in interface `Driver`
  Returns:
    The version of this driver.

### addParameter

    public void addParameter(Parameter prm)

  Adds driver parameter.

  Parameters:
    `prm` - The additional parameter to be added.

### getParameters

    public Parameter[] getParameters()

  Gets all parameters available for this driver.

  Specified by:
    `getParameters` in interface `Driver`
  Returns:
    `Parameter` array with all parameters available for this driver.

### getParameterNames

    public java.lang.String[] getParameterNames()

  Gets the names of all parameters available for this driver.

  Specified by:
    `getParameterNames` in interface `Driver`
  Returns:
    `String` array with the names of all parameters available for this driver.

### parse

    public boolean parse(java.lang.String s)

  Parses a line of text.

  Specified by:
    `parse` in interface `Parseable`
  Parameters:
    `s` - A string to be parsed.
  Returns:
    `true` if the line has been processed, `false` otherwise.

### toString

    public java.lang.String toString()

  Returns the name of this driver.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The name of this driver.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.